=== libdbusmenuqt/test/CMakeLists.txt ===
add_executable(appmenutest main.cpp)
target_link_libraries(appmenutest
                        Qt::Widgets)
