=== debian/changelog ===
plasma-workspace (4:6.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update plasma-workspace.install according to the newer kpackage, which
    does not generate appstream metainfo files for packages anymore.
    (Closes: #1117363)
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Oct 2025 22:14:46 +0200

plasma-workspace (4:6.3.6-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix incorrectly encoded libplasma dependency version that breaks
    builds with our mixed 6.3.x packages in trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Jul 2025 18:21:10 +0200

plasma-workspace (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Weather/envcan: Adapt to the new locations list URL.
    - Weather/envcan: Fix handling of non-continuous hourly folder list.
    - Dataengines/weather: Adapt to the new dynamic URLs on envcan.
    - RunCommand: fix "hide faded completion text" calculation. (kde#505698)
    - Klipper: make "Add Actions" dialog only window-modal. (kde#501938)
    - Fix cell height calc in resize handle.
    - Applets/notifications: Don't set a parent for
    WidgetsAskUserActionHandler. (kde#504385)
    - Components/sessionprivate: fix a potential crash in SessionsModel.
    - Libnotificationmanager: fix critical notifications not showing when Do
    not disturb is active.
    - Applets/devicenotifier: fix pointless mount action. (kde#503999)
    - Colorsapplicator: Don't allow extended RGB from OKLabToLinearSRGB.
    (kde#503394)
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commits:
    - Fix fallback name for task manager icons for programs with Comment
    property missing in the desktop file. [45784326] (kde#504431)
    - Fix crash in system settings when removing /usr/share as a wallpaper
    directory. [e9fd71d9] (kde#503593)
    - Fix multiple instances of Plasma shell crash when trying to stop it from
    going to sleep. [88911e82] (kde#487660)
    - Do not track cache partitions with freespacenotifier. [01978f58]
    (kde#504423)
    - Do not show logout screen on power button press when in lockscreen /
    screensaver. [f1605df4] (kde#504575)
    - Fix holding mouse to scroll inside desktop widgets unexpectedly entering
    edit mode. [8e6b79da] (kde#416909)
    - Fix "move to activity" when there are only 2 activities. [e2ae8f54]
    (kde#483148)
    - applets/kicker: fix filenames containing # missing from history
    [ab55c53e] (kde#419449, kde#437960)
    - Klipper: Remove local Configure Klipper action that conflicts
    with global shortcuts. [d286dce3] (kde#501632)
    - Remove unexpected hover icons above user feedback selection labels.
    [a3e153b3] (kde#505761)
    - Fix unablity to remove/unpin documents/apps from Application Menu after
    deleting the document/app from system. [d1896f5a] (kde#402820)
    - Fix unchecking "Show date" in clock settings creating an empty gap on
    the panel until restarting plasmashell [b2e80af5] (kde#505614)
    - Fix systemd services reload reemitting all previous OOM notifications.
    [ec837446] (kde#502279)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 12:11:47 +0200

plasma-workspace (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Notification: Escape lonely < and > symbols. (kde#502106)
    - Calendar: Move event indicator above main label.
    - Appelts/notifications: Fix Notifications positions. (kde#500192,
    kde#498599, kde#491217, kde#502160)
    - Applets/notifications: improve paddings again.
    - Multiscreen: fix an incorrect assert in screenInvariants. (kde#494616)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Drop backported patch now part of the upstream release.
  * Backport upstream commits scheduled for 6.3.6:
    - Fix entirely wrong colours when enabling "Tint all colours with accent
    colour". (kde#503394)
    - Remove pointless "mount" action for audio CDs and blank optical media.
    (kde#503999)
    - libnotificationmanager: fix critical notifications not showing when Do
    not disturb is active.
    - components/sessionprivate: fix a potential crash in SessionsModel.
    - Fix deleting downloaded files from the notifications. (kde#504385)
    - Fix cell height calculation during vertical resizing.
    - klipper: make "Add Actions" dialog only window-modal to avoid blocking
    plasmashell completely. (kde#501938)
  * Backport other upstream commits:
    - Fix lockscreen showing a placeholder instead of the real multimedia
    player name in some multi-player setups.
    - Fix Scroll Wheel issue in the All Applications section of the launcher.
    (kde#486481)
    - Fix implementation of the StatusNotifierItem spec to support context
    menu on left click in the system tray.
    - Never use scientific notation even for big numbers in notifications.
    (kde#422166)
    - Fix global menu sometimes showing menu items from non-active app.
    (kde#473714)
    - Fix issue in sorting users list to put the logged in user first.
    - Prevent trying to delete the logged in user and failing. (kde#495494)
    - Make selecting the C locale in regional options actually work.
    (kde#500432)
    - Fix duplicate optical devices in disks and devices applet. (kde#495140)
    - Disable pointless and surprising horizontal scrolling of notifications
    contents.
    - Warn users about full storage not just on / and /home.
    - Fix incorrect wallpaper preview when using screens with widely different
    aspect ratios. (kde#483097)
    - Fix OSD not properly displaying RTL languages. (kde#503255)
    - Fix Notifications widget added to the desktop not showing new

